Skip to content
Get started

Activate dataset

POST/api/datasets/{id}/activate/

Point the owning agent's active_dataset at this dataset.

Path ParametersExpand Collapse
id: string
formatuuid
ReturnsExpand Collapse
id: string
formatuuid
agent: string
formatuuid
created_at: string
formatdate-time
datapoints: array of object { id, expected_output, input, 3 more }
id: string
formatuuid
expected_output: optional unknown
input: optional unknown
order: optional number
maximum9223372036854776000
minimum0
formatint64
persona: optional string
maxLength128
tags: optional unknown
num_datapoints: number
version: number
generator_model: optional string
maxLength128
metadata: optional unknown
name: optional string
maxLength255
policy_hash: optional string
maxLength64
source: optional "seed" or "synthetic" or "augmented" or "production"
  • seed - Seed
  • synthetic - Synthetic
  • augmented - Augmented
  • production - Production
Accepts one of the following:
"seed"
"synthetic"
"augmented"
"production"
Activate dataset
curl https://api.overmindlab.ai/api/datasets/$ID/activate/ \
    -X POST
{
  "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "agent": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "created_at": "2019-12-27T18:11:19.117Z",
  "datapoints": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "expected_output": {},
      "input": {},
      "order": 0,
      "persona": "persona",
      "tags": {}
    }
  ],
  "num_datapoints": 0,
  "version": 0,
  "generator_model": "generator_model",
  "metadata": {},
  "name": "name",
  "policy_hash": "policy_hash",
  "source": "seed"
}
Returns Examples
{
  "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "agent": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "created_at": "2019-12-27T18:11:19.117Z",
  "datapoints": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "expected_output": {},
      "input": {},
      "order": 0,
      "persona": "persona",
      "tags": {}
    }
  ],
  "num_datapoints": 0,
  "version": 0,
  "generator_model": "generator_model",
  "metadata": {},
  "name": "name",
  "policy_hash": "policy_hash",
  "source": "seed"
}